DSSAT Version 4.8

 Top Next

The Decision Support System for Agrotechnology Transfer (DSSAT) Version 4.8 is a software application program that comprises:

·Crop simulation models for over 32 crops

·Data base management programs for soil, weather, and crop management and experimental data, and

·Utilities and application programs.

The crop simulation models simulate growth, development and yield as a function of the soil-plant-atmosphere dynamics.

The DSSAT and its crop simulation models have been used for a wide range of applications, including on-farm and precision management to regional impact assessments of the impact of climate change and variability. See Tsuji et al. (1998) and Jones et al. for (2003) for example applications.

The DSSAT version 4.8 is an upgrade and improvement of the DSSAT version 4.8. All shell, application programs and data entry and analysis tools have been modified to be compatible with the latest Windows standards. All crop models are combined into the Cropping System Model (CSM), which is based on a modular modeling approach (Jones et al., 2003). CSM uses one set of code for simulating soil water, nitrogen and carbon dynamics, while crop growth and development are simulated with the CERES, CROPGRO, CROPSIM and SUBSTOR modules. The CENTURY-based soil carbon and nitrogen model for improved performance in low input agricultural systems and for simulation carbon sequestration was added as a separate soil module to CSM.

DSSAT v4.8 includes:

·More than 32 different crops simulated with CSM, including

oMaize, wheat, barley, rice, sorghum, millet

oSoybean, peanut, dry bean, cowpea, faba bean, velvet bean, chickpea, pigeon pea

oPotato, cassava, taro, tanier

oTomato, bell pepper, cabbage, sweet corn, green bean

oBahia grass, brachiaria

oCotton

oSugarcane

oCanola

oBare fallow

oSunflower

·Identical soil modules for the simulation of the soil water, nitrogen and carbon balances

·The CENTURY-based soil carbon and nitrogen module

·The Crop Management Data tool XBuild for entering and editing of experimental data

·The Graphical Display program GBuild for graphical display of simulated and experimental data

·The Soil Data tool SBuild for entering and editing of soil data

·The Experimental Data tool ATCreate for entering and editing detailed growth, development and yield data as well as soil water, nitrogen, and carbon measurements

·The Weather Data Manager WeatherMan for entering, analyzing and generating weather and climate data

·A Seasonal Analysis Program for analysis of biophysical and economic data for single season simulations

·A Sequence (rotational) Analysis Program for analysis of biophysical and economic data for crop rotations and multi-season experiments

·Gencalc Genotype coefficient calculator

·The Introductory Simulation Tool ICSim for simple simulations and application of models as a teaching tool

·GLUE Cultivar coefficient estimator

·EasyGrapher, a simple graphing program for simulated data

·DSSATSens Sensitivity Analysis utility

·WeatherAnalogue program

Some other programs are under development and will be added at a later date.

The DSSAT version 4.8 was developed through collaboration among scientists at

·the University of Florida,

·the University of Georgia,

·University of Guelph,

·University of Hawaii,

·Universidad Politecnica de Madrid,

·Washington State University,

·the International Center for Soil Fertility and Agricultural Development,

·USDA-ARS

·and other scientists associated with the International Consortium for Agricultural Systems Applications (ICASA).


Proper Citation

 Top Previous Next

§Hoogenboom, G., C.H. Porter, K.J. Boote, V. Shelia, P.W. Wilkens, U. Singh, J.W. White, S. Asseng, J.I. Lizaso, L.P. Moreno, W. Pavan, R. Ogoshi, L.A. Hunt, G.Y. Tsuji, and J.W. Jones. 2019. The DSSAT crop modeling ecosystem. In: p.173-216 [K.J. Boote, editor] Advances in Crop Modeling for a Sustainable Agriculture. Burleigh Dodds Science Publishing, Cambridge, United Kingdom (http://dx.doi.org/10.19103/AS.2019.0061.10)

§Hoogenboom, G., C.H. Porter, V. Shelia, K.J. Boote, U. Singh, J.W. White, W. Pavan, F.A.A. Oliveira, L.P. Moreno-Cadena, J.I. Lizaso, S. Asseng, D.N.L. Pequeno, B.A. Kimball, P.D. Alderman, K.R. Thorp, M.R. Jones, S.V. Cuadra, M.S. Vianna, F.J. Villalobos, T.B. Ferreira, J. Koo, L.A. Hunt, and J.W. Jones. 2021. Decision Support System for Agrotechnology Transfer (DSSAT) Version 4.8 (www.DSSAT.net). DSSAT Foundation, Gainesville, Florida, USA.

§Jones, J.W., G. Hoogenboom, C.H. Porter, K.J. Boote, W.D. Batchelor, L.A. Hunt, P.W. Wilkens, U. Singh, A.J. Gijsman, and J.T. Ritchie. 2003. DSSAT Cropping System Model. European Journal of Agronomy 18:235-265.


Contents of the DSSAT Version 4.6

Contents of the DSSAT Version 4.7

The DSSAT Version 4.8 includes the following programs:

Tools

·DSSAT Version 4.8 shell

·Cropping System Model (CSM) and associated species and cultivar parameter files

·Example data sets for all crops, including crop management, soil and weather data, as well as measured and recorded field observations

·XBuild – Experimental data entry utility

·GBuild – Output graphing utility

·SBuild – Soils data utility

·ATCreate - The Experimental data entry utility

·Weatherman – Weather data utility

·VARAN – Seasonal analysis program

·SUSTAIN – Sequence and crop rotation analysis program

·Gencalc - Genotype coefficient calculator

Accessories

·GLUE - Cultivar coefficient Estimator

·DSSATSens - Sensitivity analysis utility

·ICSim – Introductory crop simulation tool

·WeatherAnalogue - Determine weather years that are similar to current weather conditions

The DSSAT Version 4.8 crop simulation models that are currently available as part of the Cropping System Model (CSM) framework include:

·Maize, wheat, barley, rice, sorghum, millet

·Soybean, peanut, dry bean, cowpea, faba bean, velvet bean, chickpea, pigeon pea

·Potato, cassava, taro, tanier

·Tomato, bell pepper, cabbage, sweet corn, green bean

·Bahia grass, brachiaria

·Cotton

·Sugarcane

·Canola

·Bare fallow model

·Sunflower


Hardware Requirements

DSSAT Version 4.8 should be installed on a computer that has

·a Windows operating system,

·at least 512 MB of memory

·and 1 GB of hard disk space.

We recommend Windows 7 or Windows 10, although the system has been successfully operated on computers with Windows XP, and Windows Vista operating systems.

See the Readme documentation in case you experience any problems with these operating systems or check the Installation Problems section of this document.

Many problems can be avoided by upgrading to the latest Service Packs from Microsoft for Windows and Microsoft Office.This is particularly true for Windows XP where SP3 MUST be installed.


Contact Information

If you experience any problems or have questions with respect to DSSAT, the crop simulation models, tools and application programs, please do not hesitate to contact

DSSAT Foundation

PO Box 141866

Gainesville, Florida 32614-1866, USA

E-mail address: gerrit@ufl.edu

Web: www.DSSAT.net


Error Reporting

The DSSAT shell also includes an Error Reporting feature.

1. Select the Help menu, then select Report a problem.

2. A separate window will appear in your mailer program. Your DSSAT registration number will show in the e-mail message, as well as the appropriate DSSAT contact personnel.


DSSAT Registration

Note that DSSAT is no longer available on CD. DSSAT is now distributed via the web site. In order to request a copy, please follow these steps:

1.Go to the www.DSSAT.net web site.

2.Select Request DSSAT v4.8.

3.The system will check to make sure that you have a legitimate e-mail address.

4.Fill out the requested information, and hit submit.

5.Once we receive your information, your DSSAT serial number will be e-mailed to you.

6.At the same time you will be provided with a link that provides you with a link for downloading DSSAT v4.8.


DSSAT Listserver

The DSSAT list server has been established at the University of Georgia to serve users and those interested in the DSSAT and the crop models contained therein. We trust this mode of communication will allow each user to share concerns, successes, messages, and thoughts related to the DSSAT and its application.

Additionally, information on updates and modifications will be announced here as well as at the DSSAT web site (www.DSSAT.net).

Other information that has been shared include announcements for crop modeling training workshops, symposia, the ICASA data exchange and other items of interest to the DSSAT modeling community.

To subscribe

1. send a message to: listserv@listserv.uga.edu

In the body of the message state: subscribe DSSAT Your_Firstname Your_Lastname

Example: subscribe DSSAT John Doe

Alternatively, you can also subscribe via the DSSAT web site:

1. Point your web browser to www.DSSAT.net/listserver/

2. fill out the form and submit. You will find additional instructions on how to subscribe to the DSSAT listserver on this page.

3. After you have sent your message, the listserver will return a message, requesting you to confirm your subscription.

An archive of previously posted messages to the DSSAT list server can be found

·on the DSSAT web site at www.DSSAT.net/dssat/archives.html

·and on Google Groups at groups.google.com/group/dssat.


References

Hoogenboom, G., C.H. Porter, K.J. Boote, V. Shelia, P.W. Wilkens, U. Singh, J.W. White, S. Asseng, J.I. Lizaso, L.P. Moreno, W. Pavan, R. Ogoshi, L.A. Hunt, G.Y. Tsuji, and J.W. Jones. 2019. The DSSAT crop modeling ecosystem. In: p.173-216 [K.J. Boote, editor] Advances in Crop Modeling for a Sustainable Agriculture. Burleigh Dodds Science Publishing, Cambridge, United Kingdom (http://dx.doi.org/10.19103/AS.2019.0061.10)

Hoogenboom, G., C.H. Porter, V. Shelia, K.J. Boote, U. Singh, J.W. White, W. Pavan, F.A.A. Oliveira, L.P. Moreno-Cadena, J.I. Lizaso, S. Asseng, D.N.L. Pequeno, B.A. Kimball, P.D. Alderman, K.R. Thorp, M.R. Jones, S.V. Cuadra, M.S. Vianna, F.J. Villalobos, T.B. Ferreira, J. Koo, L.A. Hunt, and J.W. Jones. 2021. Decision Support System for Agrotechnology Transfer (DSSAT) Version 4.8 (www.DSSAT.net). DSSAT Foundation, Gainesville, Florida, USA.

Jones, J.W., G. Hoogenboom, C.H. Porter, K.J. Boote, W.D. Batchelor, L.A. Hunt, P.W. Wilkens, U. Singh, A.J. Gijsman, and J.T. Ritchie. 2003. DSSAT Cropping System Model. European Journal of Agronomy 18:235-265.

Tsuji, G. Y., G. Hoogenboom, and P. K. Thornton [Editors]. 1998. Understanding Options for Agricultural Production. Systems Approaches for Sustainable Agricultural Development. Kluwer Academic Publishers, Dordrecht, the Netherlands. ISBN 07923-4833-8. 400 pp.


Installation of the DSSAT Components

1.Open the DSSAT48 Install directory and click on Install DSSAT v4.8

2. Select the Install button. All of the data and applications have been incorporated into a unified install program. Follow the prompts, choose the defaults, and DSSAT will be installed on your computer.

3. After installation, two additional menu choices are available, Help in Installation and the ReadMe file for DSSAT. These contain information on trouble shooting the installation process and on features of DSSAT. The most important thing in minimizing installation problems is making sure that your computer has all the latest updates from Microsoft.


Installation of R

The software R is used by the GLUE cultivar coefficient estimator.

If you do not have R installed, please install R prior to operation of the GLUE cultivar coefficient estimator.


Installation of Adobe Reader

Adobe Reader is required to read the model documentation and research papers provided (in PDF format).

If you do not have Adobe Installed, you can click on the link and download the latest Reader.


Installation of .NET

Two applications (GenCalc and EasyGrapher) requires that Microsoft .Net be installed. Most computers now already have Microsoft .Net installed.

The link runs a small installer program that downloads the required .Net files.

This download can be as much as 100 Mb and should be downloaded (if you do not already have it installed) when GenCalc or EasyGrapher gives a warning or error when used for the first time. A link to a local installation file for the full install will be provided as an option for downloading.


Remaining Menu Options

There are several other menu options.

Installation Help

DSSAT v 4.8 Read me

View License

How To cite DSSAT

Documentation


General Troubleshooting

·Many problems can be avoided by upgrading to the latest Service Packs from Microsoft.

·Errors such as "Installation can not continue because components are outdated" can be solved by upgrading the operating system.

·ISAM errors during program execution can also be solved by upgrading the operating system.

·In some cases, some applications can not be installed if the user is not logged in as Administrator.

·Please also check the latest ReadMe file for updates on known problems and possible solutions with respect to installation and operation problems of DSSAT.


XBUILD, SBUILD, GBUILD and ICSIM Known Issues

The XBuild, SBuild, GBuild and ICSim programs can be installed on computers that operate Windows XP/7/8.

1. If some error message occurs during installation indicating OCX file registration failure, please first check the following:

1) Missing or out of date DLLs
2) Problems with the system registry.

If you experience errors in the system registry, Microsoft has a utility called RegClean which can help solve some of these problems and allows the OCX controls to be registered successfully. RegClean is described in an MSKB article that can be found at Q147769

2. After DSSAT is installed, some *.DLL or *.OCX files were not correctly registered in the system and as a result while running it the following error message can pop up:

Component ' *.* ' or one of its dependencies not correctly registered: a file is missing or invalid.

where *.* can be one from: MSCOMCTL.OCX, COMDLG32.OCX, MSSTDFMT.DLL, etc.

In this case you have to restart system. If the problem still persists then you have to manually register the file(s) using the following steps:

1. click on Start - All Programs - Accessories

2. right click on Command prompt

3. click Run As Administrator
It should give "Administrator:Command Prompt" window.

For 32 bit Windows you should go to C:\windows\System32 folder:

4. type in this command line window:
cd C:\windows\System32\
and press "Enter"
5. depending on what file was not registered type (for COMDLG32.OCX file)
regsvr32 C:\windows\System32\COMDLG32.OCX
and press "Enter".
Message about successful registration should be shown.

For 64 bit Windows you should go to C:\windows\SysWOW64 folder:

4. type in this command line window:
cd C:\windows\SysWOW64\
and press "Enter"
5. depending on what file was not registered type (for MSSTDFMT.DLL)
regsvr32 C:\windows\SysWOW64\MSSTDFMT.DLL
and press "Enter".
Message about successful registration should be shown.


XBuild Problems Continued

We have experienced errors on some computer systems when installing and/or running the different Build programs. These programs are written in Visual Basic (VB). Although VB is a Microsoft product, there are apparently some incompatibility issues among the (many) different versions of MS Windows operating systems. Below, we list some of these errors along with some suggested steps to help solve the problem on your computer. In most cases, where errors occurred in our testing process, the problems were related to operation systems that were not up to date. Updating those systems with the latest MS updates typically fixes the problem.

Below we list some of the errors that were encountered and steps to take to help your overcome these problems. We realize that there are likely errors that remain in the software, but during our pre-lease tests almost all problems were due to those caused by different MS operation systems or "firewall" protection on the computers.

1. The following message can be shown on Computers with different operating systems:

·Setup cannot continue because some system files are out of date on your system. Click OK if you would like setup to update these files now. You will need to restart Windows before you can run setup again. Click Cancel to exit setup without updating system files.

If the message pops up again, you need to install the latest Service Packs of your operation system. Go to the corresponding MS web site and download the update.
a) For All Operating systems: Check to see if the .tmp files are not being deleted; or the Temp folder is not on a different drive or partition from the operating system. For example if your operating system is installed on the C: drive as most are, they must be a C:\Temp folder. By default, the operating system is installed to either the Windows or Winnt folder. If this problem is detected, the following actions will solve the problem:
Copy the TEMP and TMP environment variables to a folder that is in the same drive partition as the Windows system files. To do this, open a command prompt window and type the following at the prompt:
Set TMP=C:\TEMP
Set TEMP=C:\TEMP
This will save the TEMP and TMP environment variables to a folder named "Temp" that resides on the C: drive.
Note: The folder must exist prior to carrying out these steps.
Once these environment variables are set, the application should then install and continue past the message on reboot.
If your Autoexec.bat file contains the following line (or similar):
If exists c:\temp\*.tmp del c:\temp\*.tmp comment it out by placing "REM" in front of it.
b) For All Operating systems: Leftover files from a failed Setup attempt can also cause this problem. If found, delete the msftqws.pdw subfolder and its contents from the Temp folder. Also look in the Windows or Winnt folder for Setup1.exe and any *.CAB files from previous installs, and delete them. This should be done after each failed install.

2. After the program was installed, the following message can pop up:

Cannot Find Installable ISAM
a) This could mean that your operating system needs to be updated.
b) For All Operation systems: Disable any Anti-virus software (or other memory resident programs) and try running Setup again.
c) For All Operation systems: Some logon scripts can cause the problem, so try to run Setup before logging on to the network.

See the README file for additional solutions for the "Cannot Find Installable ISAM" problem.


SBuild Problems Continued

One error has been reported during installation of SBuild that shows the following message:

·Setup cannot continue because some system files are out of date on your system. Click OK if you would like setup to update these files for you now. You will need to restart Windows before you can run setup again. Click cancel to exit setup without updating system files.

This is a known error reported by Microsoft. Please see the following web page for further information and instructions on how to fix this problem.

·http://support.microsoft.com/kb/330314/en-us


Korean Windows Error

When you run a Visual Basic 6.0 application setup package that the Package and Deployment Wizard (PDW) generated, you may receive the following error message:

Path or File not found This error occurs when the following conditions are met:

·The operating system is Korean Windows.

·The package is installed by a user whose user name is Korean-character based.

To work around this problem, log on as a user whose user name is ANSI-based to install the application. After the installation, you should be able to use the application when you log on as the Korean character-based user.


Thai Windows Error

 Top Previous

If you are running the Thai version of Windows, you will need to go to

1. Control Panel - Regional Settings - Date - Calendar Type

2. Select the Christian calendar system instead of the Buddhist calender system.

This is needed to standardize on date values in the model and support programs.